%global dlrn_nvr 0.8.24-1.20220919133635.26243bf
%global dlrn 1
%define upstream_version 0.8.24
# RPM spec file for OpenStack on RHEL 6 and 7
# Some bits borrowed from the katello-selinux package

%global moduletype       services

# Version of SELinux we were using
%global selinux_policyver 3.13.1-102.el7

# Package information
Name:                   openstack-selinux
Version: 0.8.24
Release: 1.20220919133635.26243bf%{?dist}
License:                GPLv2
Group:                  System Environment/Base
Summary:                SELinux Policies for OpenStack
BuildArch:              noarch
URL:                    https://github.com/redhat-openstack/%{name}
Requires:               policycoreutils
Requires(post):         selinux-policy-base >= %{selinux_policyver}
Requires(post):         selinux-policy-targeted >= %{selinux_policyver}
Requires(post):         policycoreutils
%if 0%{?fedora} || 0%{?rhel} > 7
Requires(post):         policycoreutils-python-utils
%else
Requires(post):         policycoreutils-python
%endif
Requires(preun):        policycoreutils
Requires:               container-selinux
BuildRequires:          selinux-policy
BuildRequires:          selinux-policy-devel
BuildRequires:          container-selinux
BuildRequires:          git
Source: 0.8.24-1.20220919133635.26243bf.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=26243bf994efe7184ab474a4b35ff9da0670c7fe
Patch0001: 0001-Allow-container-domains-to-send-sigchld-to-container.patch
Patch0002: 0002-Allow-container_t-to-manage-swift_data_t-files-dirs.patch
Patch0003: 0003-Allow-container_t-to-getattr-on-fixed_disk_device_t.patch
Patch0004: 0004-Allow-container_t-to-manage-Swift-cache-files.patch
Patch0005: 0005-Allow-container_t-to-manage-container_log_t-files.patch
Patch0006: 0006-Add-new-boolean-os_haproxy_ping-for-Octavia-amphora.patch

%description
SELinux policy modules for use with OpenStack


%package devel
Summary:                Development files (interfaces) for %{name}
Requires:               selinux-policy-devel
Requires:               %{name} = %{version}-%{release}

%description devel
Development files (interfaces) for %{name}


%package test
Summary:                AVC Tests for %{name}
%if 0%{?fedora} || 0%{?rhel} > 7
Requires:               policycoreutils-python-utils
%else
Requires:               policycoreutils-python
%endif
Requires:               bash
Requires:               %{name} = %{version}-%{release}

%description test
AVC tests for %{name}


%prep
%autosetup -Sgit
# Create fake lp file if there is none is tests directory
[[ ! $(find tests -type f -name lp* | grep -q '.*') ]] && touch tests/lpnoop

%build
make DATADIR="%{_datadir}"

%install
make DATADIR="%{buildroot}%{_datadir}" \
     LOCALDIR="%{buildroot}%{_datadir}/%{name}/%{version}" \
     install
if [ ! $(grep '${INSTALL} -m 0644 tests/lp*' Makefile) ]; then
install -m 0644 tests/lp* %{buildroot}%{_datadir}/%{name}/%{version}/tests
fi

%post
BINDIR=%{_bindir} \
SBINDIR=%{_sbindir} \
LOCALSTATEDIR=%{_localstatedir} \
DATADIR=%{_datadir} \
SHAREDSTATEDIR=%{_sharedstatedir} \
%{_datadir}/%{name}/%{version}/local_settings.sh -q


%preun
if [ $1 -eq 0 ]; then
BINDIR=%{_bindir} \
SBINDIR=%{_sbindir} \
LOCALSTATEDIR=%{_localstatedir} \
DATADIR=%{_datadir} \
SHAREDSTATEDIR=%{_sharedstatedir} \
%{_datadir}/%{name}/%{version}/local_settings.sh -x -q
fi


%files
%license COPYING
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}
%attr(0755,root,root) %{_datadir}/%{name}/%{version}/local_settings.sh
%attr(0644,root,root) %{_datadir}/selinux/packages/*.pp.bz2

%files test
%dir %{_datadir}/%{name}/%{version}/tests
%attr(0755,root,root) %{_datadir}/%{name}/%{version}/tests/check_all
%attr(0644,root,root) %{_datadir}/%{name}/%{version}/tests/bz*
%attr(0644,root,root) %{_datadir}/%{name}/%{version}/tests/lp*

%files devel
%attr(0644,root,root) %{_datadir}/selinux/devel/include/%{moduletype}/*.if

%changelog
* Mon Sep 19 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.35-1.20220919133635.26243bf
- Add new boolean os_haproxy_ping for Octavia amphora (rhbz#2096387)

* Wed Dec 01 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.29-1.20211201143442.26243bf
- Allow container_t to manage container_log_t files (rhbz#2026451)

* Wed Nov 03 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.29-1.20211103103446.26243bf
- Allow container_t to manage Swift cache files (rhbz#2013194)

* Mon Oct 11 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.29-1.20211011143510.26243bf
- Allow container_t to getattr on fixed_disk_device_t

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.26-1.20210528054815.26243bf
- Update patches

* Wed Apr 07 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.23-1
- Allow container_t to manage swift_data_t files/dirs (rhbz#1941412)

* Wed Apr 07 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.23-1
- Update patches

* Wed Feb 10 2021 Julie Pichon <jpichon@redhat.com> 0.8.24-1.20200914163012.26243bf
- Allow container domains to send sigchld to container runtime (rhbz#1926765)

